Bug 5751 - module setup appears broken in rc.sysinit
module setup appears broken in rc.sysinit
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-08 23:54 EDT by doug
Modified: 2014-03-16 22:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-10 00:32:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description doug 1999-10-08 23:54:20 EDT
There appears to be broken code in "/etc/rc.d/rc.sysinit",
in the section that is setting up the module stuff, just
before depmod runs.

The maintainer of initscripts needs to take a close look at
this. I haven't analyzed the possible effects, but it's
likely that the symlinks
	/boot/System.map
	/boot/module-info
will not be set correctly under some circumstances, causing
failure of depmod, modprobe, and consequently, of modules.

These two lines appear to be missing backticks:
AS DISTRIBUTED IN RH6.0:
  177:       mtag=grep -l "$ktag" /lib/modules/*/.rhkmvtag
2> /dev/null
  179:          mver=echo $mtag | sed -e 's,/lib/modules/,,'
-e 's,/.rhkmvtag,,' -e 's,[       ].*$,,'

Presumably they should read something like:
SUGGESTED FIX:
  177:       mtag=`grep -l "$ktag" /lib/modules/*/.rhkmvtag`
2> /dev/null
  179:          mver=`echo $mtag | sed -e
's,/lib/modules/,,' -e 's,/.rhkmvtag,,' -e 's,[
].*$,,'`
Comment 1 Bill Nottingham 1999-10-10 00:32:59 EDT
This has been fixed in the latest initscripts in Raw Hide, and also
in 6.1...

Note You need to log in before you can comment on or make changes to this bug.